﻿DeclareModule ChooseComment
  
 Declare.s Open() 
  
EndDeclareModule


Module ChooseComment


Global dlgChooseComment

Global cmbComment, txtChoose, btnOk, btnCancel


Procedure.s Open()
  
  Define Quit.i,RetVal.s,a.s
  
  dlgChooseComment = OpenWindow(#PB_Any, 0, 0, 165, 120, "Choose Comment", #PB_Window_SystemMenu | #PB_Window_TitleBar | #PB_Window_Tool | #PB_Window_WindowCentered)
  cmbComment = ComboBoxGadget(#PB_Any, 10, 39, 135, 24)
  txtChoose = TextGadget(#PB_Any, 10, 10, 135, 20, "Choose Comment")
  btnOk = ButtonGadget(#PB_Any, 10, 77, 58, 24, "Ok")
  btnCancel = ButtonGadget(#PB_Any, 87, 77, 58, 24, "Cancel")
  StickyWindow(dlgChooseComment,#True)
  
  
  ;Load Tags Combo
  Restore Tags
  Repeat
    If Len(Trim(a)) > 0
      AddGadgetItem(cmbComment,-1,a)
    EndIf
    Read.s a
  Until a = "END"
 
  Repeat
      
      Event = WaitWindowEvent()
      Select Event
        Case #PB_Event_CloseWindow
          Quit = #True
          CloseWindow(dlgChooseComment)
  
      Case #PB_Event_Menu
        Select EventMenu()
        EndSelect
  
      Case #PB_Event_Gadget
        Select EventGadget()
            
          Case btnOk
            
            Retval = GetGadgetText(cmbComment)
            Quit = #True
            CloseWindow(dlgChooseComment)           
            
          Case btnCancel
            
            Retval = ""
            Quit = #True
            CloseWindow(dlgChooseComment)         
            
        EndSelect
    EndSelect
    
    Until Quit = #True
  
    ProcedureReturn RetVal
    
  
EndProcedure

DataSection
  Tags:  
  Data.s "ALBUM","ARTIST","TITLE","VERSION","LYRICS","COMMENT","TRACKNUMBER","PERFORMER","COPYRIGHT","LICENSE","ORGANIZATION","DESCRIPTION","GENRE","DATE","LOCATION","CONTACT","ISRC","END"
EndDataSection

EndModule
; IDE Options = PureBasic 5.71 beta 3 LTS (Windows - x64)
; CursorPosition = 77
; Folding = 8
; EnableXP